summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Schroeder <mls@suse.de>2014-03-26 15:31:42 +0100
committerMichael Schroeder <mls@suse.de>2014-03-26 15:31:42 +0100
commita12d32d026c06aa6e5c416abfcb667d9cf71d39f (patch)
tree7e2cf46fae78a210376c71e0413d2653f7f85303
parent752bd0a8b148071888f746098eaa041c59db7f58 (diff)
downloadlibsolv-a12d32d026c06aa6e5c416abfcb667d9cf71d39f.tar.gz
libsolv-a12d32d026c06aa6e5c416abfcb667d9cf71d39f.tar.bz2
libsolv-a12d32d026c06aa6e5c416abfcb667d9cf71d39f.zip
fix grep call
Unlike perl, grep parses '?' as literal question mark and '\?' as zero or one quantifier in the default "basic regexp" mode.
-rwxr-xr-xtools/repo2solv.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/repo2solv.sh b/tools/repo2solv.sh
index 25346a6..4b595e8 100755
--- a/tools/repo2solv.sh
+++ b/tools/repo2solv.sh
@@ -148,7 +148,7 @@ if test "$repotype" = rpmmd ; then
repomd_decompress "$susedataxml"
fi
echo '</rpmmd>'
- ) | grep -v '\?xml' | sed '1i\<?xml version="1.0" encoding="UTF-8"?>' | rpmmd2solv $parser_options > $primfile || exit 4
+ ) | grep -v '<?xml' | sed '1i\<?xml version="1.0" encoding="UTF-8"?>' | rpmmd2solv $parser_options > $primfile || exit 4
fi
prodfile=